package com.teamchat.client.sdk.demo;

import com.teamchat.client.annotations.OnKeyword;
import com.teamchat.client.sdk.TeamchatAPI;
import com.teamchat.client.sdk.chatlets.HTML5Chatlet;
import com.teamchat.client.sdk.impl.TeamchatAPIImpl;

/**
 * This bot demonstrates how to post and use the Html5 chatlet.
 * * Please remember to update the authkey
 *
 */
public class PostHTML5ChatltDemo {


	public static final String authKey = "samplekey";

	public static void main(String[] args) throws Exception {
		TeamchatAPIImpl.fromFile("config.json")
				.setAuthenticationKey(authKey)
				.startReceivingEvents(new PostHTML5ChatltDemo());
	}
	
	/*
	 * This method posts a checklist
	 */
	@OnKeyword("create")
	public void onTest(TeamchatAPI api) {
		api.performPostInCurrentRoom(new HTML5Chatlet().setQuestionHtml("<a href=\"https://www.google.com\">GOOGLE</a>")
				.alias("myHtml5"));
	}

}
